import { z } from 'zod';
export declare const UserProfilePrivateCreate: z.ZodObject<{
    avatarLargeUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    avatarSmallUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    avatarUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    customAttributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
    dateOfBirth: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    firstName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    language: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    lastName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    privateCustomAttributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
    timeZone: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    avatarLargeUrl?: string | null | undefined;
    avatarSmallUrl?: string | null | undefined;
    avatarUrl?: string | null | undefined;
    customAttributes?: Record<string, any> | null | undefined;
    dateOfBirth?: string | null | undefined;
    firstName?: string | null | undefined;
    language?: string | null | undefined;
    lastName?: string | null | undefined;
    timeZone?: string | null | undefined;
    privateCustomAttributes?: Record<string, any> | null | undefined;
}, {
    avatarLargeUrl?: string | null | undefined;
    avatarSmallUrl?: string | null | undefined;
    avatarUrl?: string | null | undefined;
    customAttributes?: Record<string, any> | null | undefined;
    dateOfBirth?: string | null | undefined;
    firstName?: string | null | undefined;
    language?: string | null | undefined;
    lastName?: string | null | undefined;
    timeZone?: string | null | undefined;
    privateCustomAttributes?: Record<string, any> | null | undefined;
}>;
export interface UserProfilePrivateCreate extends z.TypeOf<typeof UserProfilePrivateCreate> {
}
