import { z } from 'zod';
export declare const UserProfilePublicInfo: z.ZodObject<{
    avatarLargeUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    avatarSmallUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    avatarUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    customAttributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
    namespace: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    publicId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    timeZone: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    userId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    namespace?: string | null | undefined;
    avatarLargeUrl?: string | null | undefined;
    avatarSmallUrl?: string | null | undefined;
    avatarUrl?: string | null | undefined;
    customAttributes?: Record<string, any> | null | undefined;
    timeZone?: string | null | undefined;
    publicId?: string | null | undefined;
    userId?: string | null | undefined;
}, {
    namespace?: string | null | undefined;
    avatarLargeUrl?: string | null | undefined;
    avatarSmallUrl?: string | null | undefined;
    avatarUrl?: string | null | undefined;
    customAttributes?: Record<string, any> | null | undefined;
    timeZone?: string | null | undefined;
    publicId?: string | null | undefined;
    userId?: string | null | undefined;
}>;
export interface UserProfilePublicInfo extends z.TypeOf<typeof UserProfilePublicInfo> {
}
