import { z } from 'zod';
export declare const UserProfileInfo: z.ZodObject<{
    avatarLargeUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    avatarSmallUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    avatarUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    customAttributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
    dateOfBirth: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    firstName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    language: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    lastName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    namespace: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    publicId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    status: z.ZodNullable<z.ZodOptional<z.ZodEnum<["ACTIVE", "INACTIVE"]>>>;
    timeZone: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    userId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    zipCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    status?: "ACTIVE" | "INACTIVE" | null | undefined;
    namespace?: string | null | undefined;
    avatarLargeUrl?: string | null | undefined;
    avatarSmallUrl?: string | null | undefined;
    avatarUrl?: string | null | undefined;
    customAttributes?: Record<string, any> | null | undefined;
    dateOfBirth?: string | null | undefined;
    firstName?: string | null | undefined;
    language?: string | null | undefined;
    lastName?: string | null | undefined;
    timeZone?: string | null | undefined;
    publicId?: string | null | undefined;
    userId?: string | null | undefined;
    zipCode?: string | null | undefined;
}, {
    status?: "ACTIVE" | "INACTIVE" | null | undefined;
    namespace?: string | null | undefined;
    avatarLargeUrl?: string | null | undefined;
    avatarSmallUrl?: string | null | undefined;
    avatarUrl?: string | null | undefined;
    customAttributes?: Record<string, any> | null | undefined;
    dateOfBirth?: string | null | undefined;
    firstName?: string | null | undefined;
    language?: string | null | undefined;
    lastName?: string | null | undefined;
    timeZone?: string | null | undefined;
    publicId?: string | null | undefined;
    userId?: string | null | undefined;
    zipCode?: string | null | undefined;
}>;
export interface UserProfileInfo extends z.TypeOf<typeof UserProfileInfo> {
}
