import { z } from 'zod';
export declare const ValidationErrorEntity: z.ZodObject<{
    errorCode: z.ZodNumber;
    errorMessage: z.ZodString;
    errors: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
        errorCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        errorField: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        errorMessage: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        errorValue: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        messageVariables: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
    }, "strip", z.ZodTypeAny, {
        errorCode?: string | null | undefined;
        errorMessage?: string | null | undefined;
        messageVariables?: Record<string, string> | null | undefined;
        errorField?: string | null | undefined;
        errorValue?: string | null | undefined;
    }, {
        errorCode?: string | null | undefined;
        errorMessage?: string | null | undefined;
        messageVariables?: Record<string, string> | null | undefined;
        errorField?: string | null | undefined;
        errorValue?: string | null | undefined;
    }>, "many">>>;
}, "strip", z.ZodTypeAny, {
    errors?: {
        errorCode?: string | null | undefined;
        errorMessage?: string | null | undefined;
        messageVariables?: Record<string, string> | null | undefined;
        errorField?: string | null | undefined;
        errorValue?: string | null | undefined;
    }[] | null | undefined;
    errorCode: number;
    errorMessage: string;
}, {
    errors?: {
        errorCode?: string | null | undefined;
        errorMessage?: string | null | undefined;
        messageVariables?: Record<string, string> | null | undefined;
        errorField?: string | null | undefined;
        errorValue?: string | null | undefined;
    }[] | null | undefined;
    errorCode: number;
    errorMessage: string;
}>;
export interface ValidationErrorEntity extends z.TypeOf<typeof ValidationErrorEntity> {
}
